List all regions
curl --request GET \
--url https://data-api.compute-index.com/v1/regions \
--header 'Authorization: Bearer <token>'import requests
url = "https://data-api.compute-index.com/v1/regions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://data-api.compute-index.com/v1/regions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"region": "<string>",
"vendor_count": 123,
"gpu_model_count": 123,
"vendors": [
"<string>"
],
"contract_types": [
"<string>"
],
"contract_terms": [
"<string>"
],
"gpu_models": [
"<string>"
]
}
],
"total_count": 123
}Metadata
Regions
Get list of all regions with vendor/GPU availability and pricing statistics
GET
/
v1
/
regions
List all regions
Example
List every region with vendor/GPU availability and pricing statistics:curl -H "Authorization: Bearer $TOKEN" \
"https://data-api.compute-index.com/v1/regions"
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I